# $Revision: 1.62 $, $Date: 2010/08/21 19:07:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_subclass	DataObject
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - an SQL builder, object interface to database tables
Summary(pl.UTF-8):	%{_pearname} - SQL builder, obiektowy interfejs do tabel bazodanowych
Name:		php-pear-%{_pearname}
Version:	1.9.5
Release:	2
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c8bc3c1644ed54498c9bbb62f82109e1
Patch0:		DB_DataObject-PLD.patch
URL:		http://pear.php.net/package/DB_DataObject/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(overload)
Requires:	php-common >= 3:4.3
Requires:	php-pear >= 4:1.0-8
Requires:	php-pear-DB >= 1.7.0
Requires:	php-pear-Date >= 1.4.3
Suggests:	php-pear-MDB2
Suggests:	php-pear-Validate
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Validate.*)' 'pear(MDB2.*)'

%description
The core class is designed to be extended for each of your tables so
that you put the data logic inside the data classes. Included is a
Generator to make your configuration files and your base classes.
DataObject performs 2 tasks:
- Builds SQL statements based on the objects vars and the builder
  methods,
- acts as a datastore for a table row.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Główna klasa została stworzona tak, by być rozszerzalną dla każdej
tabeli, więc można umieścić logikę danych w klasach danych. Dołączony
jest generator do tworzenia plików konfiguracyjnych i klas bazowych.
DataObject pełni 2 zadania:
- tworzy zapytania SQL bazując na zmiennych obiektowych i metodach
  tworzenia
- przechowuje dane z wiersza tabeli.

Ta klasa ma w PEAR status: %{_status}.

%package cli
Summary:	CLI interface for DB_DataObject
Summary(pl.UTF-8):	Interfejs linii poleceń dla DB_DataObject
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description cli
CLI interface for DB_DataObject generator.

%description cli -l pl.UTF-8
Interfejs linii poleceń dla generatora DB_DataObject.

%prep
%pear_package_setup
mv ./%{php_pear_dir}/DB/DataObject/createTables.php DB_DataObject_createTables
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install
install DB_DataObject_createTables $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Cast.php
%{php_pear_dir}/%{_class}/%{_subclass}/Generator.php
%{php_pear_dir}/%{_class}/%{_subclass}/Error.php

%files cli
%defattr(644,root,root,755)
%doc docs/%{_pearname}/docs/example.ini
%attr(755,root,root) %{_bindir}/DB_DataObject_createTables

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_DataObject.spec,v $
Revision 1.62  2010/08/21 19:07:40  glen
- updated deps with pearize.sh
- release 2

Revision 1.61  2010/08/20 12:55:25  glen
- updated to: 1.9.5

Revision 1.60  2008/01/31 12:16:06  glen
- rel 2

Revision 1.59  2007-08-22 20:42:03  adamg
- updated to 1.8.7

Revision 1.58  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.57  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.56  2006/12/30 10:10:58  adamg
- updated to 1.8.5

Revision 1.55  2006/11/21 19:45:14  glen
- rel 7: use php(extension) virtuals

Revision 1.54  2006/11/17 12:28:12  glen
- rel 6

Revision 1.53  2006/11/17 08:08:03  qboosh
- pl for -cli

Revision 1.52  2006/11/16 11:28:11  glen
- separated CLI; rel 5

Revision 1.51  2006/11/01 16:46:21  glen
- in php4 needs overload extension; rel 4

Revision 1.50  2006/11/01 16:24:12  glen
- fix License; rel 3

Revision 1.49  2006/11/01 16:14:45  glen
- package DB_DataObject_createTables script; rel 2

Revision 1.48  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.47  2006/03/13 07:16:21  glen
- 1.8.4

Revision 1.46  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.45  2006/03/06 01:09:12  glen
- 1.8.3

Revision 1.44  2006/01/23 22:48:05  glen
- 1.8.2

Revision 1.43  2006/01/01 14:42:28  glen
- 1.8.0

Revision 1.42  2005/10/05 18:31:31  glen
- rel 2

Revision 1.41  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.40  2005/09/21 21:04:01  glen
- fixed dirs

Revision 1.39  2005/09/19 23:35:49  glen
- 1.7.15

Revision 1.38  2005/09/19 21:43:39  glen
- integer BR

Revision 1.37  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.36  2005/03/27 00:46:13  adamg
- updated to 1.7.13

Revision 1.35  2005/03/21 15:14:07  adamg
- updated to 1.7.10

Revision 1.34  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.33  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.32  2004/08/28 10:15:54  adamg
- updated to 1.7.2

Revision 1.31  2004/08/11 19:27:13  adamg
- updated to 1.7.1

Revision 1.30  2004/08/07 12:00:59  adamg
- updated to 1.7.0

Revision 1.29  2004/06/03 11:07:47  adamg
- updated to 1.6.1

Revision 1.28  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.27  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.26  2004/01/24 16:40:06  adamg
- updated to 1.6

Revision 1.25  2003/12/23 15:09:07  adamg
- updated to 1.4

Revision 1.24  2003/11/22 20:44:34  adamg
- updated to 1.3

Revision 1.23  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.22  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.21  2003/08/31 10:40:42  adamg
- updated to 1.2

Revision 1.20  2003/08/11 15:07:50  adamg
- updated to 1.1

Revision 1.19  2003/07/31 07:19:37  adamg
- updated to 1.0.2

Revision 1.18  2003/07/18 20:25:24  adamg
- updated to 1.0.1

Revision 1.17  2003/07/16 09:38:44  adamg
- updated to 1.0, fixed %doc

Revision 1.16  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.15  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.14  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/27 10:01:26  blues
- 0.15 - some bugfixes

Revision 1.12  2003/02/06 21:48:48  blues
- 0.14

Revision 1.11  2003/01/31 22:19:44  blues
- 0.13 - stable class - STBR to Ra updates

Revision 1.10  2002/12/12 19:29:55  blues
- 0.10

Revision 1.9  2002/12/07 15:22:57  blues
- 0.9 - previous version was stable (0.8), this one is only bugfix

Revision 1.8  2002/11/22 19:37:02  lb
- a small typo fixed

Revision 1.7  2002/10/14 23:39:07  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.6  2002/09/10 10:50:46  blues
- 0.6 - STBR

Revision 1.5  2002/09/07 05:56:46  blues
- 0.5 (beta) - STBR

Revision 1.4  2002/08/27 15:20:33  blues
- 0.4 - bugfix release (argv is correct now) - STBR

Revision 1.3  2002/08/16 08:29:59  blues
- 0.3 (beta release); STBR

Revision 1.2  2002/07/14 22:26:03  qboosh
- pl description

Revision 1.1  2002/07/12 19:28:01  blues
- intitial release
